Index: CKEditor/branches/versions/3.6.x/CHANGES.html
===================================================================
--- CKEditor/branches/versions/3.6.x/CHANGES.html	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/CHANGES.html	(revision 6822)
@@ -1,3 +1,3 @@
-﻿﻿﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
 Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
Index: CKEditor/branches/versions/3.6.x/_dev/docs_build/template/publish.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_dev/docs_build/template/publish.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_dev/docs_build/template/publish.js	(revision 6822)
@@ -1,3 +1,3 @@
-/** Called automatically by JsDoc Toolkit. */
+﻿/** Called automatically by JsDoc Toolkit. */
 function publish(symbolSet) {
 	publish.conf = {  // trailing slash expected for dirs
Index: CKEditor/branches/versions/3.6.x/_samples/assets/parsesample.css
===================================================================
--- CKEditor/branches/versions/3.6.x/_samples/assets/parsesample.css	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_samples/assets/parsesample.css	(revision 6822)
Index: CKEditor/branches/versions/3.6.x/_samples/bbcode.html
===================================================================
--- CKEditor/branches/versions/3.6.x/_samples/bbcode.html	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_samples/bbcode.html	(revision 6822)
@@ -29,5 +29,5 @@
 		Please note that currently there is no standard for the BBCode markup language, so its implementation
 		for different platforms (message boards) can vary. This means that before using CKEditor to
-		output BBCode you may need to adjust the implementation to your own environment. 
+		output BBCode you may need to adjust the implementation to your own environment.
 	</p>
 	<p>
Index: CKEditor/branches/versions/3.6.x/_samples/readonly.html
===================================================================
--- CKEditor/branches/versions/3.6.x/_samples/readonly.html	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_samples/readonly.html	(revision 6822)
@@ -1,3 +1,3 @@
-﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
 Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
Index: CKEditor/branches/versions/3.6.x/_samples/tableresize.html
===================================================================
--- CKEditor/branches/versions/3.6.x/_samples/tableresize.html	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_samples/tableresize.html	(revision 6822)
@@ -43,5 +43,5 @@
 		the <code>&lt;textarea&gt;</code> element to be replaced with CKEditor.
 	</p>
-	</div>	
+	</div>
 	<!-- This <div> holds alert messages to be display in the sample page. -->
 	<div id="alerts">
Index: CKEditor/branches/versions/3.6.x/_source/core/dom/element.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/core/dom/element.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/core/dom/element.js	(revision 6822)
@@ -902,6 +902,6 @@
 				return !!( $attr && $attr.specified );
 			}
-			
-			return ( CKEDITOR.env.ie && CKEDITOR.env.version < 8 ) ? 
+
+			return ( CKEDITOR.env.ie && CKEDITOR.env.version < 8 ) ?
 					function( name )
 					{
Index: CKEditor/branches/versions/3.6.x/_source/core/editor.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/core/editor.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/core/editor.js	(revision 6822)
@@ -743,5 +743,5 @@
 			{
 				this.readOnly = !makeEditable;
-				
+
 				// Fire the readOnly event so the editor features can update
 				// their state accordingly.
Index: CKEditor/branches/versions/3.6.x/_source/core/plugindefinition.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/core/plugindefinition.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/core/plugindefinition.js	(revision 6822)
@@ -32,9 +32,9 @@
 
 /**
- * A list of language files available for this plugin. These files are stored inside 
- * the "lang" directory, which is inside the plugin directory, follow the name 
+ * A list of language files available for this plugin. These files are stored inside
+ * the "lang" directory, which is inside the plugin directory, follow the name
  * pattern of "langCode.js", and contain a language definition created with {@link CKEDITOR.pluginDefinition#setLang}.
  * While the plugin is being loaded, the editor checks this list to see if
- * a language file of the current editor language ({@link CKEDITOR.editor#langCode}) 
+ * a language file of the current editor language ({@link CKEDITOR.editor#langCode})
  * is available, and if so, loads it. Otherwise, the file represented by the first list item
  * in the list is loaded.
Index: CKEditor/branches/versions/3.6.x/_source/lang/af.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/af.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/af.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ar.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ar.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ar.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/bg.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/bg.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/bg.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/bn.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/bn.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/bn.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/bs.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/bs.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/bs.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ca.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ca.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ca.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/cs.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/cs.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/cs.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/cy.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/cy.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/cy.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/da.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/da.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/da.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/de.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/de.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/de.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/el.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/el.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/el.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/en-au.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/en-au.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/en-au.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/en-ca.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/en-ca.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/en-ca.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/en-gb.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/en-gb.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/en-gb.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/en.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/en.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/en.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties',
Index: CKEditor/branches/versions/3.6.x/_source/lang/eo.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/eo.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/eo.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/es.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/es.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/es.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/et.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/et.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/et.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/eu.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/eu.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/eu.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/fa.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fa.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fa.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/fi.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fi.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fi.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/fo.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fo.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fo.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/fr-ca.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fr-ca.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fr-ca.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/fr.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/fr.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/fr.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/gl.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/gl.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/gl.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/gu.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/gu.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/gu.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/he.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/he.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/he.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'מאפייני מסמך',
Index: CKEditor/branches/versions/3.6.x/_source/lang/hi.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/hi.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/hi.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/hr.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/hr.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/hr.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/hu.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/hu.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/hu.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/is.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/is.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/is.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/it.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/it.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/it.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ja.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ja.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ja.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ka.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ka.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ka.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'დოკუმენტის პარამეტრები',
Index: CKEditor/branches/versions/3.6.x/_source/lang/km.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/km.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/km.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ko.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ko.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ko.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/lt.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/lt.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/lt.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/lv.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/lv.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/lv.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/mn.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/mn.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/mn.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ms.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ms.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ms.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/nb.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/nb.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/nb.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/nl.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/nl.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/nl.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/no.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/no.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/no.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/pl.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/pl.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/pl.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/pt-br.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/pt-br.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/pt-br.js	(revision 6822)
@@ -768,5 +768,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/pt.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/pt.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/pt.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ro.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ro.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ro.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/ru.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/ru.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/ru.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/sk.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sk.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sk.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/sl.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sl.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sl.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/sr-latn.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sr-latn.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sr-latn.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/sr.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sr.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sr.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/sv.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/sv.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/sv.js	(revision 6822)
@@ -768,5 +768,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/th.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/th.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/th.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/tr.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/tr.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/tr.js	(revision 6822)
@@ -768,5 +768,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/uk.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/uk.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/uk.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/vi.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/vi.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/vi.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/zh-cn.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/zh-cn.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/zh-cn.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/lang/zh.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/lang/zh.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/lang/zh.js	(revision 6822)
@@ -769,5 +769,5 @@
 	},
 
-	docprops : 
+	docprops :
 	{
 		label : 'Document Properties', // MISSING
Index: CKEditor/branches/versions/3.6.x/_source/plugins/bbcode/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/bbcode/plugin.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/bbcode/plugin.js	(revision 6822)
@@ -1,3 +1,3 @@
-﻿﻿/*
+﻿/*
 Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -114,11 +114,11 @@
 		regex = new RegExp( '&(' + regex.join( '|' ) + ');', 'g' );
 
-		return function ( html )
+		return function( html )
 		{
 			return html.replace( regex, function( match, entity )
 			{
 				return entities[ entity ];
-			})
-		}
+			});
+		};
 	})();
 
@@ -687,5 +687,5 @@
 						  {
 							  var cite = new CKEDITOR.htmlParser.element( 'cite' );
-							  cite.add( new CKEDITOR.htmlParser.text( citeText.replace( /^"|"$/g, '' ) ) )
+							  cite.add( new CKEDITOR.htmlParser.text( citeText.replace( /^"|"$/g, '' ) ) );
 							  delete element.attributes.cite;
 							  element.children.unshift( cite );
@@ -708,5 +708,5 @@
 								  element.attributes.href = 'mailto:' + element.children[ 0 ].value;
 							  }
-							  
+
 							  delete element.attributes.bbcode;
 						  }
@@ -727,5 +727,5 @@
 					  {
 						  if ( !element.attributes.href )
-							  element.attributes.href = element.children[ 0 ].value
+							  element.attributes.href = element.children[ 0 ].value;
 					  },
 					  'smiley' : function( element )
@@ -763,10 +763,10 @@
 						else if ( tagName == 'span' )
 						{
-							if ( value = style.color )
+							if ( ( value = style.color ) )
 							{
 								tagName = 'color';
 								value = RGBToHex( value );
 							}
-							else if ( value = style[ 'font-size' ] )
+							else if ( ( value = style[ 'font-size' ] ) )
 							{
 								var percentValue = value.match( /(\d+)%$/ );
@@ -780,5 +780,5 @@
 						else if ( tagName == 'ol' || tagName == 'ul' )
 						{
-							if ( value = style[ 'list-style-type'] )
+							if ( ( value = style[ 'list-style-type'] ) )
 							{
 								switch ( value )
@@ -820,5 +820,5 @@
 						else if ( tagName == 'a' )
 						{
-							if ( value = attributes.href )
+							if ( ( value = attributes.href ) )
 							{
 								if ( value.indexOf( 'mailto:' ) !== -1 )
@@ -855,4 +855,6 @@
 						element.name = tagName;
 						value && ( element.attributes.option = value );
+
+						return null;
 					},
 
@@ -882,5 +884,5 @@
 			  } );
 		  },
-		  
+
 		  afterInit : function( editor )
 		  {
@@ -889,5 +891,5 @@
 			  {
 				  // Eliminate irrelevant elements from displaying, e.g body and p.
-				  if ( filters = editor._.elementsPath.filters )
+				  if ( ( filters = editor._.elementsPath.filters ) )
 					filters.push( function( element )
 						{
@@ -896,5 +898,5 @@
 
 							// Specialized anchor presents as email.
-							if ( name == 'link' && element.getAttribute( 'href' ).indexOf( 'mailto:' ) == 0 )
+							if ( name == 'link' && element.getAttribute( 'href' ).indexOf( 'mailto:' ) === 0 )
 								name = 'email';
 							// Styled span could be either size or color.
@@ -909,5 +911,5 @@
 							{
 								var src = element.data( 'cke-saved-src' );
-								if ( src && src.indexOf( editor.config.smiley_path ) == 0 )
+								if ( src && src.indexOf( editor.config.smiley_path ) === 0 )
 									name = 'smiley';
 							}
@@ -920,4 +922,2 @@
 
 })();
-
-
Index: CKEditor/branches/versions/3.6.x/_source/plugins/clipboard/dialogs/paste.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/clipboard/dialogs/paste.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/clipboard/dialogs/paste.js	(revision 6822)
@@ -122,5 +122,5 @@
 						{
 							var dialog = this.getDialog();
-							var htmlToLoad = 
+							var htmlToLoad =
 								'<html dir="' + editor.config.contentsLangDirection + '"' +
 								' lang="' + ( editor.config.contentsLanguage || editor.langCode ) + '">' +
@@ -209,5 +209,5 @@
 							bogus && bogus.remove();
 
-							// Saving the contents so changes until paste is complete will not take place (#7500) 
+							// Saving the contents so changes until paste is complete will not take place (#7500)
 							html = body.getHtml();
 
Index: CKEditor/branches/versions/3.6.x/_source/plugins/devtools/lang/en.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/devtools/lang/en.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/devtools/lang/en.js	(revision 6822)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.6.x/_source/plugins/devtools/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/devtools/plugin.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/devtools/plugin.js	(revision 6822)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -15,5 +15,5 @@
 	{
 		CKEDITOR.document.appendStyleText( CKEDITOR.config.devtools_styles ||
-							'#cke_tooltip { padding: 5px; border: 2px solid #333; background: #ffffff }' + 
+							'#cke_tooltip { padding: 5px; border: 2px solid #333; background: #ffffff }' +
 							'#cke_tooltip h2 { font-size: 1.1em; border-bottom: 1px solid; margin: 0; padding: 1px; }' +
 							'#cke_tooltip ul { padding: 0pt; list-style-type: none; }' );
@@ -30,6 +30,6 @@
 					'.html" target="_blank">' + ( element ? element.type : 'content' ) + '</a>',
 			str =
-				'<h2>' + lang.title + '</h2>' + 
-				'<ul>' + 
+				'<h2>' + lang.title + '</h2>' +
+				'<ul>' +
 					'<li><strong>' + lang.dialogName + '</strong> : ' + dialog.getName() + '</li>' +
 					'<li><strong>' + lang.tabName + '</strong> : ' + tabName + '</li>';
@@ -144,14 +144,14 @@
  * 				'.html" target="_blank">' + ( element ? element.type : 'content' ) + '</a>',
  * 		str =
- * 			'<h2>' + lang.title + '</h2>' + 
- * 			'<ul>' + 
+ * 			'<h2>' + lang.title + '</h2>' +
+ * 			'<ul>' +
  * 				'<li><strong>' + lang.dialogName + '</strong> : ' + dialog.getName() + '</li>' +
  * 				'<li><strong>' + lang.tabName + '</strong> : ' + tabName + '</li>';
- * 
+ *
  * 	if ( element )
  * 		str += '<li><strong>' + lang.elementId + '</strong> : ' + element.id + '</li>';
- * 
+ *
  * 	str += '<li><strong>' + lang.elementType + '</strong> : ' + link + '</li>';
- * 
+ *
  * 	return str + '</ul>';
  * }
Index: CKEditor/branches/versions/3.6.x/_source/plugins/dialog/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/dialog/plugin.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/dialog/plugin.js	(revision 6822)
@@ -2244,5 +2244,5 @@
 				if ( elementDefinition.disabled )
 					classes[ 'cke_disabled' ] = 1;
-				
+
 				var attributeClasses = ( attributes['class'] && attributes['class'].split ) ? attributes['class'].split( ' ' ) : [];
 				for ( i = 0 ; i < attributeClasses.length ; i++ )
Index: CKEditor/branches/versions/3.6.x/_source/plugins/docprops/dialogs/docprops.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/docprops/dialogs/docprops.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/docprops/dialogs/docprops.js	(revision 6822)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -99,4 +99,5 @@
 				return result;
 			this.setValue( result );
+			return null;
 		};
 	}
@@ -434,5 +435,5 @@
 								type : 'vbox',
 								children : [
-									colorField( 'txtColor', 'txtColor', 
+									colorField( 'txtColor', 'txtColor',
 									{
 										setup : function( doc, html, head, body )
Index: CKEditor/branches/versions/3.6.x/_source/plugins/docprops/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/docprops/plugin.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/docprops/plugin.js	(revision 6822)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/branches/versions/3.6.x/_source/plugins/enterkey/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/enterkey/plugin.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/enterkey/plugin.js	(revision 6822)
@@ -60,5 +60,5 @@
 			// Don't split <pre> if we're in the middle of it, act as shift enter key.
 			else if ( !atBlockEnd && block && block.is( 'pre' ) )
-				return enterBr( editor, mode, range, forceMode );
+				enterBr( editor, mode, range, forceMode );
 
 			// Determine the block element to be used.
Index: CKEditor/branches/versions/3.6.x/_source/plugins/image/dialogs/image.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/image/dialogs/image.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/image/dialogs/image.js	(revision 6822)
@@ -117,5 +117,5 @@
 		{
 			if ( !dialog.getContentElement( 'info', 'ratioLock' ) )
-				return;
+				return null;
 
 			var oImageOriginal = dialog.originalElement;
Index: CKEditor/branches/versions/3.6.x/_source/plugins/indent/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/indent/plugin.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/indent/plugin.js	(revision 6822)
@@ -17,5 +17,5 @@
 	{
 		if ( evt.editor.readOnly )
-			return;
+			return null;
 
 		var editor = evt.editor,
Index: CKEditor/branches/versions/3.6.x/_source/plugins/justify/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/justify/plugin.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/justify/plugin.js	(revision 6822)
Index: CKEditor/branches/versions/3.6.x/_source/plugins/link/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/link/plugin.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/link/plugin.js	(revision 6822)
@@ -33,5 +33,5 @@
 
 		var side = ( editor.lang.dir == 'rtl' ? 'right' : 'left' );
-		var basicCss = 
+		var basicCss =
 			'background:url(' + CKEDITOR.getUrl( this.path + 'images/anchor.gif' ) + ') no-repeat ' + side + ' center;' +
 			'border:1px dotted #00f;';
@@ -174,5 +174,5 @@
 							var attributes = element.attributes;
 							if ( !attributes.name )
-								return;
+								return null;
 
 							var isEmpty = !element.children.length;
@@ -195,4 +195,6 @@
 							else if ( CKEDITOR.plugins.link.fakeAnchor && isEmpty )
 								return editor.createFakeParserElement( element, 'cke_anchor', 'anchor' );
+
+							return null;
 						}
 					}
@@ -220,5 +222,5 @@
 					if ( name == 'a' )
 					{
-						if ( CKEDITOR.plugins.link.tryRestoreFakeAnchor( editor, element ) || 
+						if ( CKEDITOR.plugins.link.tryRestoreFakeAnchor( editor, element ) ||
 							( element.getAttribute( 'name' ) && ( !element.getAttribute( 'href' ) || !element.getChildCount() ) ) )
 						{
Index: CKEditor/branches/versions/3.6.x/_source/plugins/list/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/list/plugin.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/list/plugin.js	(revision 6822)
@@ -220,5 +220,5 @@
 	{
 		if ( evt.editor.readOnly )
-			return;
+			return null;
 
 		var path = evt.data.path,
@@ -232,6 +232,6 @@
 			  && !element.equals( blockLimit ); i++ )
 		{
-			if ( listNodeNames[ elements[i].getName() ] )
-				return this.setState( this.type == elements[i].getName() ? CKEDITOR.TRISTATE_ON : CKEDITOR.TRISTATE_OFF );
+			if ( listNodeNames[ elements[ i ].getName() ] )
+				return this.setState( this.type == elements[ i ].getName() ? CKEDITOR.TRISTATE_ON : CKEDITOR.TRISTATE_OFF );
 		}
 
Index: CKEditor/branches/versions/3.6.x/_source/plugins/pagebreak/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/pagebreak/plugin.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/pagebreak/plugin.js	(revision 6822)
@@ -47,5 +47,5 @@
 				if ( target.is( 'div' ) && target.hasClass( 'cke_pagebreak')  )
 					editor.getSelection().selectElement( target );
-			})
+			});
 		});
 	},
Index: CKEditor/branches/versions/3.6.x/_source/plugins/stylesheetparser/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/stylesheetparser/plugin.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/stylesheetparser/plugin.js	(revision 6822)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2011, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -106,7 +106,7 @@
 					{
 							// Rules that must be skipped
-						var skipSelectors = editor.config.stylesheetParser_skipSelectors || /(^body\.|^\.)/i,
+						var skipSelectors = editor.config.stylesheetParser_skipSelectors || ( /(^body\.|^\.)/i ),
 							// Rules that are valid
-							validSelectors = editor.config.stylesheetParser_validSelectors || /\w+\.\w+/;
+							validSelectors = editor.config.stylesheetParser_validSelectors || ( /\w+\.\w+/ );
 
 						// Add the styles found in the document
Index: CKEditor/branches/versions/3.6.x/_source/plugins/toolbar/plugin.js
===================================================================
--- CKEditor/branches/versions/3.6.x/_source/plugins/toolbar/plugin.js	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/_source/plugins/toolbar/plugin.js	(revision 6822)
@@ -79,5 +79,5 @@
 						{
 							toolbar = keystroke == 9 ?
-								( ( toolbar ? toolbar.next : item.toolbar.next ) || editor.toolbox.toolbars[ 0 ] ) : 
+								( ( toolbar ? toolbar.next : item.toolbar.next ) || editor.toolbox.toolbars[ 0 ] ) :
 								( ( toolbar ? toolbar.previous : item.toolbar.previous ) || editor.toolbox.toolbars[ editor.toolbox.toolbars.length - 1 ] );
 
@@ -411,5 +411,5 @@
 							return {};
 						}
-					}
+					};
 				}
 			});
Index: CKEditor/branches/versions/3.6.x/contents.css
===================================================================
--- CKEditor/branches/versions/3.6.x/contents.css	(revision 6821)
+++ CKEditor/branches/versions/3.6.x/contents.css	(revision 6822)
@@ -22,3 +22,2 @@
     padding-right:40px;
 }
-
